# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fieldwork"
version = "0.4.8"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "derivable accessors for struct fields"
readme = "README.md"
keywords = ["macros"]
categories = ["development-tools"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/jbr/fieldwork"

[features]
debug = []

[lib]
name = "fieldwork"
path = "src/lib.rs"

[[example]]
name = "example"
path = "examples/example.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[dependencies.fieldwork-derive]
version = "0.4.7"

[dev-dependencies.macrotest]
version = "1.1.0"

[dev-dependencies.rustversion]
version = "1.0.21"

[dev-dependencies.trybuild]
version = "1.0.106"
